Skip to main content
GET
/
v1
/
whatsapp
/
messages
List / poll messages
curl --request GET \
  --url https://karibu.briq.tz/v1/whatsapp/messages \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "message_id": "<string>",
        "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "is_outbound": true,
        "message_type": "text",
        "content": {},
        "created_at": "2023-11-07T05:31:56Z",
        "paired_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    ],
    "total": 123,
    "limit": 123,
    "offset": 123
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>",
      "field": "<string>"
    }
  ],
  "request_id": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

conversation_id
string<uuid>
message_type
string
status
string
direction
enum<string>
Available options:
inbound,
outbound
since
string<date-time>
until
string<date-time>
limit
integer
default:100
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

success
boolean
data
object
errors
object[] | null
request_id
string